org.apache.ignite.mesos.resource

## Class ResourceHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.ContainerLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler
      - - org.apache.ignite.mesos.resource.ResourceHandler

- All Implemented Interfaces:
    org.eclipse.jetty.server.Handler, org.eclipse.jetty.util.component.Container, org.eclipse.jetty.util.component.Destroyable, org.eclipse.jetty.util.component.Dumpable, org.eclipse.jetty.util.component.Dumpable.DumpableContainer, org.eclipse.jetty.util.component.LifeCycle

      public class ResourceHandler
      extends org.eclipse.jetty.server.handler.AbstractHandler

  HTTP controller which provides on slave resources.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.server.handler.AbstractHandler

      `org.eclipse.jetty.server.handler.AbstractHandler.ErrorDispatchHandler`

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `org.eclipse.jetty.util.component.LifeCycle.Listener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

      `org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

      `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_PREFIX`
    `static String` | `DEFAULT_CONFIG`
    `static String` | `IGNITE_PREFIX`
    `static String` | `LIBS_PREFIX`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

    - ### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

      `KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceHandler(String libsDir, String cfgPath, String igniteDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(String url, org.eclipse.jetty.server.Request request, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler

      `destroy, doError, doStart, doStop, getServer, setServer`

    - ### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

      `addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dump, dump, dumpBeans, dumpObject, dumpObjects, dumpStdErr, dumpThis, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, setStopTimeout, start, stop, unmanage, updateBean, updateBean, updateBeans`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, getStopTimeout, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, start, stop, stop`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

      `isDumpable`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

      `dumpContainer, dumpIterable, dumpMapEntries, dumpObjects, dumpSelf, named`

- - ### Field Detail

    - #### IGNITE_PREFIX

          public static final String IGNITE_PREFIX

      See Also:
        Constant Field Values

    - #### LIBS_PREFIX

          public static final String LIBS_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_PREFIX

          public static final String CONFIG_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG

          public static final String DEFAULT_CONFIG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResourceHandler

          public ResourceHandler(String libsDir,
                                 String cfgPath,
                                 String igniteDir)

      Parameters:
        `libsDir` - Directory with user's libs.
        `cfgPath` - Path to config file.
        `igniteDir` - Directory with ignites.

  - ### Method Detail

    - #### handle

          public void handle(String url,
                             org.eclipse.jetty.server.Request request,
                             javax.servlet.http.HttpServletRequest httpServletRequest,
                             javax.servlet.http.HttpServletResponse response)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `handle` in interface `org.eclipse.jetty.server.Handler`
      Specified by:
        `handle` in class `org.eclipse.jetty.server.handler.AbstractHandler`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022